"use strict";

exports.__esModule = true;
exports.default = void 0;

var L = _interopRequireWildcard(require("leaflet"));

require("leaflet.gridlayer.googlemutant");

var _core = require("@react-leaflet/core");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * Uses the GoogleLayer Leaflet plugin to create a googlemaps layer
 * Requires the Google Maps JS API to be loaded as a script tag.
 *
 * All options except `opacity` and `zIndex` are immutable once the layer has loaded with the exception
 *
 * Docs for L.GridLayer.GoogleMutant https://gitlab.com/IvanSanchez/Leaflet.GridLayer.GoogleMutant
 */
const GoogleLayer = (0, _core.createTileLayerComponent)((props, context) => {
  const instance = L.gridLayer.googleMutant({ ...props
  });
  return {
    instance,
    context
  };
}, _core.updateGridLayer);
var _default = GoogleLayer;
exports.default = _default;