/// <reference types="react" />
import * as L from 'leaflet';
import 'leaflet.gridlayer.googlemutant';
export interface GoogleLayerProps extends L.gridLayer.GoogleMutantOptions {
}
/**
 * Uses the GoogleLayer Leaflet plugin to create a googlemaps layer
 * Requires the Google Maps JS API to be loaded as a script tag.
 *
 * All options except `opacity` and `zIndex` are immutable once the layer has loaded with the exception
 *
 * Docs for L.GridLayer.GoogleMutant https://gitlab.com/IvanSanchez/Leaflet.GridLayer.GoogleMutant
 */
declare const GoogleLayer: import("react").ForwardRefExoticComponent<GoogleLayerProps & import("react").RefAttributes<L.GridLayer>>;
export default GoogleLayer;
